package com.gh.gamecenter.db.info;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

import java.io.Serializable;

@DatabaseTable(tableName = "tb_datacollection")
public class DataCollectionInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3196892351397147390L;

	@DatabaseField(id = true, columnName = "id")
	private String id;

	@DatabaseField(columnName = "type")
	private String type;

	@DatabaseField(columnName = "data")
	private String data;

	public DataCollectionInfo() {

	}

	public DataCollectionInfo(String id, String type, String data) {
		this.id = id;
		this.type = type;
		this.data = data;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getData() {
		return data;
	}

	public void setData(String data) {
		this.data = data;
	}

	@Override
	public String toString() {
		return "DataCollectionEntity [id=" + id + ", type=" + type + ", data="
				+ data + "]";
	}

}
